GPSCORRELATE(1)

NAME
gpscorrelate - correlates digital photos with GPS data filling EXIF fields

SYNOPSIS

gpscorrelate [-g file.gpx] [option...]

gpscorrelate-gui

DESCRIPTION

This manual page documents briefly the gpscorrelate and gpscorrelate-gui commands.

This manual page was written for the Debian(TM) distribution because the original programs do not have a manual page. Instead, they have documentation in HTML format; see below.

gpscorrelate is a program that acts on digital photo in JPEG format filling EXIF (Exchangeable Image File Format) fields related to GPS (Global Positioning System) information. Source for the GPS data is a record of GPS information encoded in GPX (GPS Exchange Format) Format. The act of filling those fields is referred to as correlation.

If GPS data are available at the precise moment the photo was taken (with a 1-second granularity) the GPS data are stored unmodified in EXIF fields. If they are not linear interpolation of GPS data available at moments before and after the photo was taken can be used.

gpscorrelate is a command line tool implementing correlation whereas gpscorrelate-gui is the corresponding GTK+ graphical user interface.

OPTIONS

These programs follow the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below. For a complete description, see the HTML documentation.

-g, --gps
    required, specifies GPX file with GPS data

-z, --timeadd +/-XX[:XX]
    time to add to GPS data to make it match photos. GPS data is in UTC; photos are not likely to be in UTC. Enter the timezone used when taking the photos: eg, +8 for Perth

-i, --no-interpolation
    disable interpolation between points. Interpolation is linear, points are rounded if disabled

-v, --verbose
    show what has been selected

-d, --datum datum
    specify measurement datum. If not set, WGS-84 used

-n, --no-write
    do not write the exif data. Useful with --show

-m, --max-dist time
    max time outside points that photo will be matched. Time is in seconds

-s, --show
    Just show the GPS data from the given files, if it exists

-o, --machine
    Just show the GPS data from the given files, machine readable output

-r, --remove
    Strip GPS tags from the given files, and then quit

-t, --ignore-tracksegs
    Interpolate between track segments too

-M, --no-mtime
    Do not change mtime of modified files

-h, --help
    Show summary of options.

SEE ALSO

gpsd (1), gpsbabel (1), gpxlogger (1), cgpxlogger (1).

The documentation of gpscorrelate and gpscorrelate-gui in HTML format are available on the filesystem at /usr/local/share/doc/gpscorrelate/html/.

AUTHOR

This manual page was written by Stefano Zacchiroli <zack@debian.org> for the Debian(TM) system (but may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.

AUTHOR

Stefano Zacchiroli

    Author.

COPYRIGHT
Copyright © 2006 Stefano Zacchiroli <zack@debian.org>